<main class="viewer__container">
  <div class="viewer__columns">
    <header>
      <cv-pageheader
        [pageTitle]="person?.firstName + ' ' + person?.lastName"
        [superTitle]="'Docent'"
        [buttonText]="'Wijzigen'"
        [buttonImageClass]="'fa fa-edit fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onEdit(person?.id)"
      ></cv-pageheader>
    </header>

    <nav>
      <!-- <cv-actions [actionsGroup]="actions"></cv-actions> -->

      <div *ngIf="person.administrativeRemark" class="widget widget--sidebar widget--red">
        <h4 class="widget__header">Opmerking</h4>
        <div class="widget__content">
          <p>{{ person.administrativeRemark }}</p>
        </div>
      </div>
    </nav>

    <article>
      <section>
        <h3>Toelichting</h3>
        <p>Hier info over deze docent?</p>
      </section>
    </article>

    <aside>
      <cv-entity-detail [entity]="person"></cv-entity-detail>
    </aside>

    <footer>
      <h3>Informatie</h3>
      <p>
        Laatst gewijzigd door {{ person?.createdBy?.data?.firstname }}
        {{ person?.createdBy?.data?.lastname }} op
        {{ person?.createdAt | date: 'medium' }}
      </p>
    </footer>
  </div>
</main>
